org.osgi.framework.wiring.dto

## Class BundleWiringDTO.NodeDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.resource.dto.WiringDTO
    - - org.osgi.framework.wiring.dto.BundleWiringDTO.NodeDTO

Enclosing class:
  BundleWiringDTO

    public static class BundleWiringDTO.NodeDTO
    extends WiringDTO

Data Transfer Object for a BundleWiring node.

The `providedWires` field must contain an array of `BundleWireDTO`s. The `requiredWires` field must contain an array of `BundleWireDTO`s.

### Field Summary

Fields
`boolean` `current` The current state of the bundle wiring.
`boolean` `inUse` The bundle wiring's in use setting indicates that the bundle wiring is in use.

### Fields inherited from class org.osgi.resource.dto.WiringDTO

`capabilities, id, providedWires, requiredWires, requirements, resource`

### Constructor Summary

Constructors
Constructor and Description
`NodeDTO()`

### Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### inUse

    public boolean inUse

The bundle wiring's in use setting indicates that the bundle wiring is in use.

See Also:
  `BundleWiring.isInUse()`

#### current

    public boolean current

The current state of the bundle wiring. The bundle wiring's current setting indicates that the bundle wiring is the current bundle wiring for the bundle.

See Also:
  `BundleWiring.isCurrent()`

### Constructor Detail

#### NodeDTO

    public NodeDTO()